OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.TransformFeedback2

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBTransformFeedback2 :: MonadIO m => m Bool
- gl_ARB_transform_feedback2 :: Bool
- gl_TRANSFORM_FEEDBACK :: GLenum
- gl_TRANSFORM_FEEDBACK_BINDING :: GLenum
- gl_TRANSFORM_FEEDBACK_BUFFER_ACTIVE :: GLenum
- gl_TRANSFORM_FEEDBACK_BUFFER_PAUSED :: GLenum
- glBindTransformFeedback :: MonadIO m => GLenum -> GLuint -> m ()
- glDeleteTransformFeedbacks :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glDrawTransformFeedback :: MonadIO m => GLenum -> GLuint -> m ()
- glGenTransformFeedbacks :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glIsTransformFeedback :: MonadIO m => GLuint -> m GLboolean
- glPauseTransformFeedback :: MonadIO m => m ()
- glResumeTransformFeedback :: MonadIO m => m ()

# Extension Support

glGetARBTransformFeedback2 :: MonadIO m => m Bool

Is the ARB_transform_feedback2 extension supported?

gl_ARB_transform_feedback2 :: Bool

Is the ARB_transform_feedback2 extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBTransformFeedback2` in those cases instead.

# Enums

gl_TRANSFORM_FEEDBACK :: GLenum

gl_TRANSFORM_FEEDBACK_BINDING :: GLenum

gl_TRANSFORM_FEEDBACK_BUFFER_ACTIVE :: GLenum

gl_TRANSFORM_FEEDBACK_BUFFER_PAUSED :: GLenum

# Functions

glBindTransformFeedback

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLuint | `id`.
-> m () |

Manual page for OpenGL 4.x.

glDeleteTransformFeedbacks

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `ids` pointing to `n` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.

glDrawTransformFeedback

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLuint | `id`.
-> m () |

Manual page for OpenGL 4.x.

glGenTransformFeedbacks

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `ids` pointing to `n` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.

glIsTransformFeedback

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> m GLboolean | of type Boolean.

Manual page for OpenGL 4.x.

glPauseTransformFeedback :: MonadIO m => m ()

Manual page for OpenGL 4.x.

glResumeTransformFeedback :: MonadIO m => m ()

Manual page for OpenGL 4.x.